 #include <dht11.h>     // dht11 kütüphanesini ekliyoruz.
 #define DHT11PIN   2    // DHT11PIN olarak Dijital 2'yi belirliyoruz. 

dht11 DHT11;

void setup()
{
  Serial.begin(9600); // Seri iletişimi başlatıyoruz.
  Serial.println("DHT11 –  SICAKLIK VE NEM KONTROL PROGRAMI");
}

void loop()
{
  Serial.println("\n");   // Bir satır boşluk bırakıyoruz serial monitörde.
  // Sensörün okunup okunmadığını konrol ediyoruz. 
  // chk 0 ise sorunsuz okunuyor demektir. Sorun yaşarsanız
  // chk değerini serial monitörde yazdırıp kontrol edebilirsiniz.
  int chk = DHT11.read(DHT11PIN);
  
  // Sensörden gelen verileri serial monitörde yazdırıyoruz.
  Serial.print("Nem (%): ");
  Serial.println((float)DHT11.humidity, 2);

  Serial.print("Sicaklik (Celcius): ");
  Serial.println((float)DHT11.temperature, 2);

  delay(1000);          // 2 saniye bekliyoruz. 2 saniyede bir veriler ekrana yazdırılacak.

}
